# Tom Aysom, tma42@tpg.com.au

#############################
# 1 on 10 against two droids, Karen, a welder with an oozy and a clip, a striker with an oozy, a striker with an oozy, a clip and a hypo, a striker with a laser rifle, two more strikers, and a commando.
# They all have twice health of Konoko, except Karen who has 4x.
#############################

func void train_movement(string ai_name)
{
p3_everything_breakable=1

	fade_out 0 0 0 0
	
	#Don't show the weapon/compass gauge, but do show the health gauge
	ui_show_element left 2
	ui_show_element right 1
	
	fade_in 120
		
	#Start background music
	sound_music_start mus_ambgrv1 0
	sound_music_volume mus_ambgrv1 0.75 3.0
		
	#Create Karen, droid, striker, and commando
	ai2_spawn demo1
	ai2_spawn demo2
	ai2_spawn demo3
	ai2_spawn WH_Striker_B
	ai2_spawn Alarm_Bay4_Striker_1
	ai2_spawn WH_Striker_C
	ai2_spawn WH_Striker_D
	ai2_spawn Top_Striker_1
	ai2_spawn guard1
	ai2_spawn Bay4_Comguy_1
	ai2_dopath demo1 demo1
	ai2_dopath demo2 demo2
	ai2_dopath demo3 demo3
	ai2_dopath WH_Striker_B WH_Striker_B
	ai2_dopath Alarm_Bay4_Striker_1 Alarm_Bay4_Striker_1
	ai2_dopath WH_Striker_C WH_Striker_C
	ai2_dopath WH_Striker_D WH_Striker_D
	ai2_dopath Top_Striker_1 Top_Striker_1
	ai2_dopath guard1 guard1
	ai2_dopath Bay4_Comguy_1 Bay4_Comguy_1
	ai2_setjobstate demo1
	ai2_setjobstate demo2
	ai2_setjobstate demo3
	ai2_setjobstate WH_Striker_B
	ai2_setjobstate Alarm_Bay4_Striker_1
	ai2_setjobstate WH_Striker_C
	ai2_setjobstate WH_Striker_D
	ai2_setjobstate Top_Striker_1
	ai2_setjobstate guard1
	ai2_setjobstate Bay4_Comguy_1
	chr_set_health demo1 400
	chr_set_health demo2 400
	chr_set_health demo3 800
	chr_set_health WH_Striker_B 400
	chr_set_health Alarm_Bay4_Striker_1 400
	chr_set_health WH_Striker_C 400
	chr_set_health WH_Striker_D 400
	chr_set_health Top_Striker_1 400
	chr_set_health guard1 400
	chr_set_health Bay4_Comguy_1 400
	chr_teleport demo1 7012
	chr_teleport demo2 7011
	chr_teleport demo3 7014
	chr_teleport WH_Striker_B 7013
	chr_teleport Alarm_Bay4_Striker_1 7011
	chr_teleport WH_Striker_C 7010
	chr_teleport WH_Striker_D 7013
	chr_teleport Top_Striker_1 7010
	chr_teleport guard1 7011
	chr_teleport Bay4_Comguy_1 7012
	chr_changeteam WH_Striker_B Syndicate
	chr_changeteam Alarm_Bay4_Striker_1 Syndicate
	chr_changeteam WH_Striker_C Syndicate
	chr_changeteam WH_Striker_D Syndicate
	chr_changeteam Top_Striker_1 Syndicate
	chr_changeteam guard1 Syndicate
	chr_changeteam Bay4_Comguy_1 Syndicate
	chr_changeteam demo1 Syndicate
	chr_changeteam demo2 Syndicate
	chr_changeteam demo3 Syndicate
	
	#Set Konoko's health and teleport her
	chr_set_health char_0 200
	chr_teleport char_0 7010
		
	#Pause Karen, droid, strikers, commando and Konoko for a moment
	ai2_passive demo1 1
	ai2_passive demo2 1
	ai2_passive demo3 1
	ai2_passive WH_Striker_B 1
	ai2_passive Alarm_Bay4_Striker_1 1
	ai2_passive WH_Striker_C 1
	ai2_passive WH_Striker_D 1
	ai2_passive Top_Striker_1 1
	ai2_passive guard1 1
	ai2_passive Bay4_Comguy_1 1
	lock_keys
	sleep 200
	
	#Start Karen, droid, strikers, and commando
	ai2_passive demo1 0
	ai2_passive demo2 0
	ai2_passive demo3 0
	ai2_passive WH_Striker_B 0
	ai2_passive Alarm_Bay4_Striker_1 0
	ai2_passive WH_Striker_C 0
	ai2_passive WH_Striker_D 0
	ai2_passive Top_Striker_1 0
	ai2_passive guard1 0
	ai2_passive Bay4_Comguy_1 0
	
	#Start Konoko
	lock_keys keys_all
}